Subject: bug#24156: closed (Re: bug#24156: QEMU '-net bridge' --> "qemu-system-x86_64: -net bridge: bridge helper failed")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Jan 2021 21:03:02 +0000

Your bug report

#24156: QEMU '-net bridge' --> "qemu-system-x86_64: -net bridge: bridge helper failed"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24156: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24156
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24156: QEMU '-net bridge' --> "qemu-system-x86_64: -net bridge: bridge helper failed"
From: zimoun <[email-masked]>
To: George Clemmer <[email-masked]>
Cc: Mathieu Othacehe <[email-masked]>, [email-masked]
Date: Wed, 13 Jan 2021 21:59:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

On Mon, 11 Jan 2021 at 16:38, George Clemmer <[email-masked]> wrote:
>> On Fri, 18 Dec 2020 at 20:47, zimoun <[email-masked]> wrote:
>>> On Thu, 04 Aug 2016 at 22:40, myglc2 <[email-masked]> wrote:
>>
>>>> Motivation: bridging or routing is required to enable a connection to be
>>>> made inward to a QEMU VM. TAP seems like the best of the available
>>>> solutions. But connecting to a TAP device produces an error when the
>>>> QEMU bridge helper fails.
>>
>> If no moreinfo is provided to detail what could the next actionable
>> step, then I will close this more-than-3-years bug report in the coming
>> days.

[...]

> I can't easily provide more detail as I am not currently use QEMU.

Therefore I am closing.  Feel free to reopen it and discuss the wishlist
on guix-devel.

All the best,
simon

Subject: QEMU '-net bridge' --> "qemu-system-x86_64: -net bridge: bridge helper failed"
From: myglc2 <[email-masked]>
To: [email-masked]
Date: Thu, 04 Aug 2016 22:40:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Motivation: bridging or routing is required to enable a connection to be
made inward to a QEMU VM. TAP seems like the best of the available
solutions. But connecting to a TAP device produces an error when the
QEMU bridge helper fails.

Example:

g1@g1 ~/src/vmb$ qemu-system-x86_64 -net user -net bridge -net nic,model=virtio -enable-kvm -m 4096 -k en-us -display curses /home/g1/src/vmb/tmp/img6/vm.img
failed to parse default acl file `/gnu/store/1072khbm9124a8a1pyyyw4mr1p12jsfq-qemu-2.6.0/etc/qemu/bridge.conf'
qemu-system-x86_64: -net bridge: bridge helper failed

This error was produced with the attached 'img-tap' script. e.g., to
build the vm ...

./img-tap mk 1

To (attempt to) run the vm ..

./img-tap run 1

Running Guix built from git checkout on GuixSD:
stat ~/.config/guix/latest | grep File:
  File: '/home/g1/.config/guix/latest' -> '../../src/guix'
g1@g1 ~/src/vmb$ git -C ~/.config/guix/latest describe
v0.11.0-242-g7ccb874